Get custom field
GET
https://api.catenda.com/v2/projects/{project-id}/custom-fields/{custom-field-id}
Path Parameters
- project-idstringrequiredExampleDescription
- custom-field-idstringrequiredDescription
Responses
200
- custom-fieldDescription
- idstringExampleDescription
- namestringExampleDescription
- descriptionstringExampleDescription
- typestring<text | integer | double | enumeration | date>ExampleDescription
- createdAtstringExampleDescription
- createdBystringExampleDescription
- archivedbooleanDescription
- dropdownItemsobject[]Description
- idstringDescription
- namestringExampleDescription
- codestringExampleDescription
- disabledbooleanDescription
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/custom-fields/{custom-field-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/custom-fields/{custom-field-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/custom-fields/{custom-field-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/custom-fields/{custom-field-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "324409076a694255b589d236517a55da",
"name": "Custom field name",
"description": "Custom field description",
"type": "text",
"createdAt": "2023-03-06T11:52:45.000Z",
"createdBy": "624809076a694255b989d236517a55da",
"archived": false,
"dropdownItems": [
{
"id": "",
"name": "Dropdown item 1",
"code": "Item name",
"disabled": false
}
]
}